Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFEngine Class Reference
[Field classes]

The SoSFEngine class is a container for a single engine. More...

`#include <Inventor/fields/SoSFEngine.h>`

Inheritance diagram for SoSFEngine:

List of all members.

## Public Methods
virtual void | fixCopy (SbBool copyconnections)
virtual SbBool | referencesCopy (void) const
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFEngine class is a container for a single engine.

This field container stores a pointer to a Coin engine. It takes care of the necessary functionality for handling copy, import and export operations.

Note that the engine pointer stored in a field instance of this type may be a `NULL` pointer.

See also:
  SoEngine, SoMFEngine

## Member Function Documentation

void SoSFEngine::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFEngine::fixCopy | ( | SbBool | copyconnections | ) | `[virtual]`

| This method is internally called after SoField::copyFrom() during scene graph copies, and should do the operations necessary for fixing up the field instance after it has gotten a new value. The default method in the SoField superclass does nothing. The application programmer should normally not need to consider this method, unless he constructs a complex field type which contains new references to container instances (i.e. nodes or engines). Overriding this method is then necessary to update the reference pointers, as they could have been duplicated during the copy operation. Reimplemented from SoField.

SbBool SoSFEngine::referencesCopy | ( | void |  | ) | const`[virtual]`

| Returns `TRUE` if this field has references to any containers in the scene graph which are also duplicated during the copy operation. Note that this method only is valid to call during copy operations. See also the note about the relevance of the fixCopy() method for application programmers, as it is applicable on this method aswell. Reimplemented from SoField.

The documentation for this class was generated from the following files:

- SoSFEngine.h
- SoSFEngine.cpp